DiseaseWeederHealerRegister = {}
DiseaseWeederHealerRegister.modDir = g_currentModDirectory

g_specializationManager:addSpecialization(
    "diseaseWeederHealer",
    "DiseaseWeederHealer",
    Utils.getFilename("scripts/specializations/DiseaseWeederHealer.lua", DiseaseWeederHealerRegister.modDir),
    nil
)

local function inject()
    local typesTbl = g_vehicleTypeManager and g_vehicleTypeManager.types or {}

    for typeName, vType in pairs(typesTbl) do
        local specs = vType.specializations or {}
        if SpecializationUtil.hasSpecialization(Weeder, specs) and not SpecializationUtil.hasSpecialization(DiseaseWeederHealer, specs) then
            g_vehicleTypeManager:addSpecialization(typeName, "diseaseWeederHealer")
        end
    end
end

inject()
